Package org.eclipse.spi.net4j

## Interface InternalChannel.CountersChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    InternalChannel

      public static interface InternalChannel.CountersChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired from a `channel` when one of its statistical counters changed.
  Since:
    4.13
  Author:
    Eike Stepper
  See Also:
    `IChannel.getReceivedBuffers()`, `IChannel.getReceivedBytes()`, `IChannel.getSentBuffers()`, `IChannel.getSentBytes()`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalChannel` | `getSource()` |

- - ### Method Detail

    - #### getSource

          InternalChannel getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`